VMTKCENTERLINEGEOMETRY(1)

NAME
vmtkcenterlinegeometry - vmtk script vmtkcenterlinegeometry

DESCRIPTION
Automatic piping vmtkcenterlinegeometry Parsing options vmtkcenterlinegeometry

vmtkcenterlinegeometry : compute the local geometry of centerlines in

    terms of curvature and torsion

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-lengtharray LengthArrayName (str,1); default=Length: name of the

    array where length values have to be stored

-curvaturearray CurvatureArrayName (str,1); default=Curvature: name

    of the array where curvature values have to be stored

-torsionarray TorsionArrayName (str,1); default=Torsion: name of

    the array where torsion values have to be stored

-tortuosityarray TortuosityArrayName (str,1); default=Tortuosity:

    name of the array where tortuosity values have to be stored

-frenettangentarray FrenetTangentArrayName (str,1);

    default=FrenetTangent: name of the array where tangent vectors of the Frenet reference system have to be stored

-frenetnormalarray FrenetNormalArrayName (str,1);

    default=FrenetNormal: name of the array where normal vectors of the Frenet reference system have to be stored

-frenetbinormalarray FrenetBinormalArrayName (str,1);

    default=FrenetBinormal: name of the array where binormal vectors of the Frenet reference system have to be stored

-smoothing LineSmoothing (bool,1); default=0

-outputsmoothed OutputSmoothedLines (bool,1); default=0

-iterations NumberOfSmoothingIterations (int,1) >= 0; default=100

-factor SmoothingFactor (float,1) >= 0.0; default=0.1

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines

-lengtharray LengthArrayName (str,1); default=Length: name of the

    array where length values are stored

-curvaturearray CurvatureArrayName (str,1); default=Curvature: name

    of the array where curvature values are stored

-torsionarray TorsionArrayName (str,1); default=Torsion: name of

    the array where torsion values are stored

-tortuosityarray TortuosityArrayName (str,1); default=Tortuosity:

    name of the array where tortuosity values are stored